package com.xmomen.module.resource.api;

import java.io.File;

public class DfsSdk {

    // 根据dfsType和bucketName获取DfsService实例
    public static DfsService getDfsInstance(String dfsType, String bucketName) {
        // 如果dfsType为FastDFS，则获取FastDfsService实例
        if ("FastDFS".equalsIgnoreCase(dfsType)) {
            DfsService dfsService = FastDfsService.getInstance(bucketName);
            return dfsService;
        }
        return null;
    }
    
    // 默认获取FastDFS的DfsService实例
    public static DfsService getDfsInstance() {
    	return getDfsInstance("FastDFS", "group1");
    }
}
